commit:     4c9634563796d4a7afb786f483a7f0965f7706f4
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Thu Jan 11 14:11:46 2024 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Thu Jan 11 14:11:46 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4c963456

dev-libs/opensc: add 0.24.0

Signed-off-by: David Seifert <soap <AT> gentoo.org>

 dev-libs/opensc/Manifest             |  1 +
 dev-libs/opensc/opensc-0.24.0.ebuild | 76 ++++++++++++++++++++++++++++++++++++
 2 files changed, 77 insertions(+)

diff --git a/dev-libs/opensc/Manifest b/dev-libs/opensc/Manifest
index 5d4728329fbe..9a0b274dd7eb 100644
--- a/dev-libs/opensc/Manifest
+++ b/dev-libs/opensc/Manifest
@@ -1 +1,2 @@
 DIST opensc-0.23.0.tar.gz 2366469 BLAKE2B 
c0f74379a70347a58be27684ae2cf833e6f35328b566af2c6daa8276174864406fa176acf7ba84931970fe07e3dd8d6eccf7884f079cb0110c4d6ff9a76792dc
 SHA512 
cd102cd64e719c59153960a4921b7525055045f16e6f6ffa8c9def6ce999a9c5098267b41f8753b41107f626bea20c34561002f5d38eddb4ce6b371913a17a1b
+DIST opensc-0.24.0.tar.gz 2440952 BLAKE2B 
afacdd151d169dd1840ecd6df1cec99a9805598d7b7af81e17b648f146cd1b3ad1d3dcae19ed94cf8ce0dbbd5b4285af9653af5ef5739d53908ce30a49544adb
 SHA512 
0fd2ea858874ae0b85c8fe8c4b920988693a47ca95b26449a1e95f86e17b76000f236c1f75d63ee133306e01a965155da5e14c1b8a59053b85026ecb58fb97bb

diff --git a/dev-libs/opensc/opensc-0.24.0.ebuild 
b/dev-libs/opensc/opensc-0.24.0.ebuild
new file mode 100644
index 000000000000..8dfc2900122e
--- /dev/null
+++ b/dev-libs/opensc/opensc-0.24.0.ebuild
@@ -0,0 +1,76 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools bash-completion-r1
+
+DESCRIPTION="Libraries and applications to access smartcards"
+HOMEPAGE="https://github.com/OpenSC/OpenSC/wiki";
+
+if [[ ${PV} == *9999 ]]; then
+       inherit git-r3
+       EGIT_REPO_URI="https://github.com/OpenSC/OpenSC.git";
+else
+       
SRC_URI="https://github.com/OpenSC/OpenSC/releases/download/${PV}/${P}.tar.gz";
+       KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~mips ~ppc ~ppc64 
~riscv ~s390 ~sparc ~x86"
+fi
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+IUSE="ctapi doc openct notify pace +pcsc-lite readline secure-messaging ssl 
test zlib"
+RESTRICT="!test? ( test )"
+
+RDEPEND="zlib? ( sys-libs/zlib )
+       readline? ( sys-libs/readline:0= )
+       ssl? ( dev-libs/openssl:0= )
+       openct? ( >=dev-libs/openct-0.5.0 )
+       pace? ( dev-libs/openpace:= )
+       pcsc-lite? ( >=sys-apps/pcsc-lite-1.3.0 )
+       notify? ( dev-libs/glib:2 )"
+DEPEND="${RDEPEND}
+       app-text/docbook-xsl-stylesheets
+       dev-libs/libxslt
+       test? ( dev-util/cmocka )"
+BDEPEND="virtual/pkgconfig"
+
+REQUIRED_USE="
+       pcsc-lite? ( !openct !ctapi )
+       openct? ( !pcsc-lite !ctapi )
+       ctapi? ( !pcsc-lite !openct )
+       || ( pcsc-lite openct ctapi )"
+
+src_prepare() {
+       default
+       eautoreconf
+}
+
+src_configure() {
+       # don't want to run upstream's clang-tidy checks
+       export ac_cv_path_CLANGTIDY=""
+
+       econf \
+               --with-completiondir="$(get_bashcompdir)" \
+               --disable-strict \
+               --enable-man \
+               $(use_enable ctapi) \
+               $(use_enable doc) \
+               $(use_enable notify) \
+               $(use_enable openct) \
+               $(use_enable pace openpace) \
+               $(use_enable pcsc-lite pcsc) \
+               $(use_enable readline) \
+               $(use_enable secure-messaging sm) \
+               $(use_enable ssl openssl) \
+               $(use_enable test cmocka) \
+               $(use_enable zlib)
+}
+
+src_install() {
+       default
+
+       insinto /etc/pkcs11/modules/
+       doins "${FILESDIR}"/opensc.module
+
+       find "${ED}" -name '*.la' -delete || die
+}

Reply via email to